GET
/api/v1/faas/logs/{function_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/faas/logs/{function_id}/?type=<TYPE>&duration=<DURATION>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/faas/logs/{function_id}/", params={"type": "<TYPE>", "duration": "<DURATION>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/faas/logs/{function_id}/");url.search = new URLSearchParams({ type: "<TYPE>", duration: "<DURATION>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieves logs of the specified function based on type and duration.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”function_id
required
integer
Function ID
Query Parameters
Section titled “Query Parameters”type
required
The type of logs to retrieve.
string
Example
functionduration
required
Duration in minutes for which the logs are required.
integer
Example
5project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successfully retrieved logs.
Media typeapplication/json
object
code
integer
data
object
logs
string
scroll_id
string
errors
object
message
string
Example
{ "code": 200, "data": { "logs": "", "scroll_id": null }, "errors": {}, "message": "Success"}